## lifeograph 0.7.3

=== wscript ===
#! /usr/bin/env python

#   This file is part of Lifeograph.
#
#   Lifeograph is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   Lifeograph is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with Lifeograph.  If not, see <http://www.gnu.org/licenses/>.


# Parts of this script was created using the waf script of Midori as a source
# of inspiration. Thank you guys.


import Options


lifeograph_sources = [
    'src/settings.cpp', 'src/diary.cpp', 'src/diarydata.cpp', 'src/entry.cpp',
    'src/gui_tag.cpp',
    'src/dialog_chaptereditor.cpp', 'src/dialog_export.cpp',
    'src/dialog_password.cpp', 'src/dialog_preferences.cpp',
    'src/helpers.cpp',
    'src/lifeobase.cpp', 'src/lifeograph.cpp', 'src/main.cpp',
    'src/view_entry.cpp','src/views.cpp',
    'src/widget_textview.cpp', 'src/widget_entrylist.cpp', 'src/widget_chart.cpp',
    'src/widget_panel_exp.cpp', 'src/panel_main.cpp', 'src/panel_diary.cpp',
    'src/undo.cpp'
    ]

APPNAME='lifeograph'
VERSION='0.7.3'

srcdir = '.'
blddir = 'build'


def set_options(opt):
    opt.tool_options('compiler_cxx')
    opt.tool_options('intltool')

    opt.add_option('--update-po', action='store_true', default=False,
        help='update the message catalogs for translation', dest='update_po')

    opt.add_option('--debug', action='store_true', default=False,
        help='create a debug build', dest='debug_build')


def configure(conf):
    import os

    # checks
    conf.check_tool('compiler_cxx')
    conf.check_cfg(package='gtkmm-2.4', atleast_version='2.16', args='--cflags --libs', uselib_store='gtkmm', mandatory=1)
    conf.check_cfg(package='gtkspell-2.0', args='--cflags --libs', uselib_store='gtkspell', mandatory=1)
    conf.check(lib='gcrypt',  uselib_store='gcrypt', mandatory=True)
    conf.check_tool('intltool')

    # defines
    conf.define('PACKAGE', APPNAME)
    conf.define('VERSION', VERSION)
    # TODO: use the methods explained here: http://live.gnome.org/ThemableAppSpecificIcons
    # and here: http://live.gnome.org/GnomeGoals/AppIcon)
    conf.define('PIXMAPDIR', os.path.join(conf.env['PREFIX'], 'share/pixmaps'))
    conf.define('ICONDIR', os.path.join(conf.env['PREFIX'], 'share', APPNAME, 'icons'))
    conf.define('UIDIR', os.path.join(conf.env['PREFIX'], 'share', APPNAME, 'ui'))

    # default prefix
    #conf.env.PREFIX = '/usr'

    if Options.options.debug_build:
        conf.env.CXXFLAGS = ['-DHAVE_CONFIG_H', '-Wall', '-O0', '-g']
        conf.define('LIFEOGRAPH_DEBUG_BUILD', 1)
    else:
        conf.env.CXXFLAGS = ['-DHAVE_CONFIG_H', '-Wall', '-O2']
        conf.env.LINKFLAGS = ['-s']

    conf.write_config_header('config.h')

    if Options.options.update_po:
        import Utils

        os.chdir('%s/po' % srcdir)
        try:
            try:
                size_old = os.stat(APPNAME + '.pot').st_size
            except:
                size_old = 0
            Utils.exec_command('intltool-update -p -g %s' % APPNAME)
            size_new = os.stat(APPNAME + '.pot').st_size
            #if size_new <> size_old:
            Utils.pprint ('YELLOW', "Updated po template.")
            try:
                Utils.exec_command('intltool-update -r -g %s' % APPNAME)
                Utils.pprint ('YELLOW', "Updated translations.")
            except:
                Utils.pprint ('RED', "Failed to update translations.")
            #else:
                #print('Po template is up to date.')
        except:
            Utils.pprint('RED', 'Failed to generate po template.')
        os.chdir('..')


def build(bld):
    binary = bld.new_task_gen(
        features    = 'cxx cprogram',
        source      = lifeograph_sources,
        uselib      = 'gtkmm gtkspell gcrypt',
        includes    = '.',
        target      = 'lifeograph')

    if bld.env['INTLTOOL']:
        bld.new_task_gen(
            features        = 'intltool_po',
            podir           = 'po',
            install_path    = '${LOCALEDIR}',
            appname         = 'lifeograph')

    # .desktop
    if bld.env['INTLTOOL']:
        bld.new_task_gen(
            features        = 'intltool_in',
            source          = 'lifeograph.desktop.in',
            flags           = [ '-d', '-q', '-u', '-c' ],
            install_path    = '${DATADIR}/applications'
            )

    # lifeograph.1
    """bld.new_task_gen(
        features        = 'subst',
        source          = 'lifeograph.1.in',
        target          = 'lifeograph.1',
        dict            = { 'VERSION' : VERSION,
                            'LIFEOGRAPH_DATA_DIR': bld.env['DATADIR'] + '/lifeograph' },
        install_path    = '${MANDIR}/man1'
    )"""

    # icons
    bld.install_as('${DATADIR}/icons/hicolor/16x16/apps/lifeograph.png',
                   'icons/lifeograph-16.png')

    bld.install_as('${DATADIR}/icons/hicolor/22x22/apps/lifeograph.png',
                    'icons/lifeograph-22.png')
    
    bld.install_as('${DATADIR}/icons/hicolor/24x24/apps/lifeograph.png',
                   'icons/lifeograph-24.png')

    bld.install_as('${DATADIR}/icons/hicolor/32x32/apps/lifeograph.png',
                   'icons/lifeograph-32.png')

    bld.install_as('${DATADIR}/icons/hicolor/48x48/apps/lifeograph.png',
                   'icons/lifeograph-48.png')

    bld.install_as('${DATADIR}/icons/hicolor/scalable/apps/lifeograph.svg',
                   'icons/scalable/lifeograph.svg')

    bld.install_as('${DATADIR}/pixmaps/lifeograph.png',
                   'icons/lifeograph-48.png')

    bld.install_files('${DATADIR}/lifeograph/icons', [ 'icons/category_tags-16.png',
                                                       'icons/category_tags-32.png',
                                                       'icons/chapter-16.png',
                                                       'icons/chapter-32.png',
                                                       'icons/diary-16.png',
                                                       'icons/diary-32.png',
                                                       'icons/entry-16.png',
                                                       'icons/entry-32.png',
                                                       'icons/favorite-16.png',
                                                       'icons/filter-16.png',
                                                       'icons/filter_remove-16.png',
                                                       'icons/month-16.png',
                                                       'icons/month-32.png',
                                                       'icons/tag-16.png',
                                                       'icons/tag-32.png' ] )

    bld.install_files( '${DATADIR}/pixmaps/lifeograph/backgrounds',
                       'backgrounds/*.png')

    # ui
    bld.install_files('${DATADIR}/lifeograph/ui', 'ui/*.ui')

## lifeograph 0.6.3

=== debian/changelog ===
lifeograph (0.6.3-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 30 May 2010 14:31:03 +0000

lifeograph (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 11 Apr 2010 17:51:11 +0000

lifeograph (0.5.6-1) unstable; urgency=low

  * New upstream release with many new features.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 09 Dec 2009 16:58:43 +0000

lifeograph (0.5.5-1) unstable; urgency=medium

  * New upstream release; fixing a diary corruption, hence the urgency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 27 Sep 2009 11:35:51 +0000

lifeograph (0.5.4-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 06 Sep 2009 16:51:16 +0000

lifeograph (0.5.3-1) unstable; urgency=low

  * New upstream release. 

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 21 Aug 2009 08:59:10 +0000

lifeograph (0.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 26 Jul 2009 18:45:33 +0000

lifeograph (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * Upgrade to Standards-Version 3.8.2, remove dh_desktop which is now
    deprecated.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 12 Jul 2009 12:46:52 +0000

lifeograph (0.4.1-1) unstable; urgency=low

  * Initial Debian upload.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 10 Jan 2009 10:23:28 +0000

lifeograph (0.4.1-0ubuntu1) intrepid; urgency=low

  * New upstream bugfix release

 -- Ahmet Öztürk <aoz_2@yahoo.com>  Mon, 05 Jan 2009 23:39:14 +0200

lifeograph (0.4.0-0ubuntu1) intrepid; urgency=low

  * Initial debian package

 -- Ahmet Öztürk <aoz_2@yahoo.com>  Fri, 12 Dec 2008 13:33:28 +0200

=== debian/control ===
Source: lifeograph
Section: gnome
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>= 7), libgtkmm-2.4-dev, libgcrypt11-dev, libgconfmm-2.6-dev, libgtkspell-dev
Standards-Version: 3.8.4
Homepage: http://lifeograph.wikidot.com

Package: lifeograph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Private digital diary
 Lifeograph is an off-line and private journal and note taking application
 for one's self evaluation of his/her own life.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package = lifeograph
CC = gcc
CFLAGS = -g -Wall

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O2
endif


clean: 
		dh_testdir
		dh_clean
		rm -f build
		$(MAKE) clean

install: build
		dh_clean
		dh_installdirs
		$(MAKE) prefix=$(CURDIR)/debian/$(package)/usr \
				datadir=$(CURDIR)/debian/$(package)/usr/share \
                install
#               mandir=$(CURDIR)/debian/$(package)/usr/share/man \

build:
#./configure --prefix=/usr
		$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)"
		touch build

binary-indep: install
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: install
		dh_testdir -a
		dh_testroot -a
		dh_installdocs -a
		dh_installchangelogs -a $(CURDIR)/debian/changelog
#dh_installmenu
		dh_installman $(CURDIR)/lifeograph.1
		dh_strip -a
		dh_compress -a
		dh_fixperms -a
		dh_installdeb -a
		dh_shlibdeps -a
		dh_gencontrol -a
		dh_md5sums -a
		dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot

## lifeograph 0.7.3

=== debian/changelog ===
lifeograph (0.7.3-1+r1001) unstable; urgency=low

  * New upstream release and bugfixes from bazaar r1001 .
  * Update package building rules.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 17 Aug 2011 22:02:21 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

WAF=./waf
package = lifeograph
CC = gcc
CFLAGS = -g -Wall

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O2
endif


clean: 
		dh_testdir
		dh_clean
		$(WAF) --nocache distclean
#		rm -rf build

install: build
		dh_clean
		dh_installdirs
		$(WAF) --nocache install --destdir $(CURDIR)/debian/$(package)

configure:
		$(WAF) --nocache configure --prefix=/usr

build-arch: build
build-indep: build

build: configure
		$(WAF) --nocache build
		touch $@

binary-indep: install
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: install
		dh_testdir -a
		dh_testroot -a
		dh_installdocs -a
		dh_installchangelogs -a
#dh_installmenu
		dh_installman $(CURDIR)/lifeograph.1
		dh_strip -a
		dh_compress -a
		dh_fixperms -a
		dh_installdeb -a
		dh_shlibdeps -a
		dh_gencontrol -a
		dh_md5sums -a
		dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build build-arch build-indep binary binary-arch binary-indep \
        clean

## lifeograph 0.7.4

=== wscript ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #! /usr/bin/env python
 
+#   Copyright (C) 2007-2011 Ahmet Öztürk (aoz_2@yahoo.com)
+#
 #   This file is part of Lifeograph.
 #
 #   Lifeograph is free software: you can redistribute it and/or modify
@@ -26,8 +28,7 @@
 lifeograph_sources = [
     'src/settings.cpp', 'src/diary.cpp', 'src/diarydata.cpp', 'src/entry.cpp',
     'src/gui_tag.cpp',
-    'src/dialog_chaptereditor.cpp', 'src/dialog_export.cpp',
-    'src/dialog_password.cpp', 'src/dialog_preferences.cpp',
+    'src/dialog_export.cpp', 'src/dialog_password.cpp', 'src/dialog_preferences.cpp',
     'src/helpers.cpp',
     'src/lifeobase.cpp', 'src/lifeograph.cpp', 'src/main.cpp',
     'src/view_entry.cpp','src/views.cpp',
@@ -37,7 +38,7 @@
     ]
 
 APPNAME='lifeograph'
-VERSION='0.7.3'
+VERSION='0.7.4'
 
 srcdir = '.'
 blddir = 'build'

=== debian/changelog ===
lifeograph (0.7.4-1) unstable; urgency=low

  * New, unstable upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 27 Nov 2011 08:51:01 +0100

## lifeograph 0.8.1.dfsg

=== debian/changelog ===
lifeograph (0.8.1.dfsg-1) unstable; urgency=low

  * New major upstream release, waf is removed as it's not needed anymore
    (closes: #654484).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 07 Mar 2012 07:24:39 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnome
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Build-Depends: debhelper (>= 7), libgtkmm-2.4-dev, libgcrypt11-dev, libgconfmm-2.6-dev, libgtkspell-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), intltool, libgtkmm-2.4-dev, libgcrypt11-dev, libgconfmm-2.6-dev, libgtkspell-dev
+Standards-Version: 3.9.2
 Homepage: http://lifeograph.wikidot.com
 
 Package: lifeograph

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-WAF=./waf
+#WAF=./waf
+export IAMDEBPKGR=1
+
 package = lifeograph
 CC = gcc
 CFLAGS = -g -Wall
@@ -17,22 +19,29 @@
 clean: 
 		dh_testdir
 		dh_clean
-		$(WAF) --nocache distclean
-#		rm -rf build
+#		$(WAF) --nocache distclean
+		make -f makefile.debian clean
+		rm -f lifeograph.desktop
 
 install: build
 		dh_clean
 		dh_installdirs
-		$(WAF) --nocache install --destdir $(CURDIR)/debian/$(package)
+#		$(WAF) --nocache install --destdir $(CURDIR)/debian/$(package)
+		make -f makefile.debian install PREFIX=/usr \
+			DESTDIR=$(CURDIR)/debian/$(package)
 
 configure:
-		$(WAF) --nocache configure --prefix=/usr
+#		$(WAF) --nocache configure --prefix=/usr
+		make -f makefile.debian preparations
 
-build-arch: build
-build-indep: build
+build-arch: build-stamp
+build-indep: build-stamp
 
-build: configure
-		$(WAF) --nocache build
+build: build-arch build-indep
+
+build-stamp: configure
+#		$(WAF) --nocache build
+		make -f makefile.debian all
 		touch $@
 
 binary-indep: install

## lifeograph 0.8.2.dfsg

=== wscript ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #! /usr/bin/env python
 
-#   Copyright (C) 2007-2011 Ahmet Öztürk (aoz_2@yahoo.com)
+#   Copyright (C) 2007-2012 Ahmet Öztürk (aoz_2@yahoo.com)
 #
 #   This file is part of Lifeograph.
 #
@@ -24,21 +24,22 @@
 
 import Options
 
+APPNAME='lifeograph'
+VERSION='0.8.0'
 
 lifeograph_sources = [
-    'src/settings.cpp', 'src/diary.cpp', 'src/diarydata.cpp', 'src/entry.cpp',
-    'src/gui_tag.cpp',
     'src/dialog_export.cpp', 'src/dialog_password.cpp', 'src/dialog_preferences.cpp',
+    'src/diary.cpp', 'src/diarydata.cpp', 'src/entry.cpp',
+    'src/entry_parser.cpp', 'src/gui_tag.cpp',
     'src/helpers.cpp',
-    'src/lifeobase.cpp', 'src/lifeograph.cpp', 'src/main.cpp',
+    'src/lifeobase.cpp', 'src/lifeograph.cpp','src/main.cpp',
+    'src/panel_diary.cpp', 'src/panel_main.cpp',
+    'src/printing.cpp', 'src/settings.cpp', 
     'src/view_entry.cpp','src/views.cpp',
-    'src/widget_textview.cpp', 'src/widget_entrylist.cpp', 'src/widget_chart.cpp',
-    'src/widget_panel_exp.cpp', 'src/panel_main.cpp', 'src/panel_diary.cpp',
+    'src/widget_chart.cpp', 'src/widget_entrylist.cpp',
+    'src/widget_panel_exp.cpp', 'src/widget_textview.cpp',
     'src/undo.cpp'
     ]
-
-APPNAME='lifeograph'
-VERSION='0.7.4'
 
 srcdir = '.'
 blddir = 'build'

=== debian/changelog ===
lifeograph (0.8.2.dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 07 Jun 2012 23:19:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
 Build-Depends: debhelper (>= 7), intltool, libgtkmm-2.4-dev, libgcrypt11-dev, libgconfmm-2.6-dev, libgtkspell-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://lifeograph.wikidot.com
 
 Package: lifeograph

## lifeograph 0.9.0.dfsg

=== wscript ===
--- 
+++ 
@@ -25,7 +25,7 @@
 import Options
 
 APPNAME='lifeograph'
-VERSION='0.8.0'
+VERSION='0.9.0'
 
 lifeograph_sources = [
     'src/dialog_export.cpp', 'src/dialog_password.cpp', 'src/dialog_preferences.cpp',
@@ -35,7 +35,7 @@
     'src/lifeobase.cpp', 'src/lifeograph.cpp','src/main.cpp',
     'src/panel_diary.cpp', 'src/panel_main.cpp',
     'src/printing.cpp', 'src/settings.cpp', 
-    'src/view_entry.cpp','src/views.cpp',
+    'src/view_entry.cpp','src/view_login.cpp','src/views.cpp',
     'src/widget_chart.cpp', 'src/widget_entrylist.cpp',
     'src/widget_panel_exp.cpp', 'src/widget_textview.cpp',
     'src/undo.cpp'
@@ -61,8 +61,8 @@
 
     # checks
     conf.check_tool('compiler_cxx')
-    conf.check_cfg(package='gtkmm-2.4', atleast_version='2.16', args='--cflags --libs', uselib_store='gtkmm', mandatory=1)
-    conf.check_cfg(package='gtkspell-2.0', args='--cflags --libs', uselib_store='gtkspell', mandatory=1)
+    conf.check_cfg(package='gtkmm-3.0', atleast_version='3.0', args='--cflags --libs', uselib_store='gtkmm', mandatory=1)
+    conf.check_cfg(package='gtkspell-3.0', args='--cflags --libs', uselib_store='gtkspell', mandatory=1)
     conf.check(lib='gcrypt',  uselib_store='gcrypt', mandatory=True)
     conf.check_tool('intltool')
 
@@ -74,6 +74,7 @@
     conf.define('PIXMAPDIR', os.path.join(conf.env['PREFIX'], 'share/pixmaps'))
     conf.define('ICONDIR', os.path.join(conf.env['PREFIX'], 'share', APPNAME, 'icons'))
     conf.define('UIDIR', os.path.join(conf.env['PREFIX'], 'share', APPNAME, 'ui'))
+    conf.define('DIARYDIR', os.path.join(conf.env['PREFIX'], 'share', APPNAME, 'diaries'))
 
     # default prefix
     #conf.env.PREFIX = '/usr'
@@ -184,8 +185,10 @@
                                                        'icons/tag-16.png',
                                                        'icons/tag-32.png' ] )
 
-    bld.install_files( '${DATADIR}/pixmaps/lifeograph/backgrounds',
-                       'backgrounds/*.png')
-
     # ui
     bld.install_files('${DATADIR}/lifeograph/ui', 'ui/*.ui')
+    
+    # diaries
+    bld.install_as('${DATADIR}/lifeograph/diaries/example.diary', 'diaries/example.diary')
+    bld.install_as('${DATADIR}/lifeograph/diaries/Lifeograph Manual', 'diaries/Lifeograph Manual')
+

=== debian/changelog ===
lifeograph (0.9.0.dfsg-1) unstable; urgency=low

  * New upstream release, upgraded to GTK+ 3.
  * Build with hardening enabled.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 12 Jul 2012 19:26:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Build-Depends: debhelper (>= 7), intltool, libgtkmm-2.4-dev, libgcrypt11-dev, libgconfmm-2.6-dev, libgtkspell-dev
+Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~), intltool, libgtkmm-3.0-dev, libgcrypt11-dev, libgtkspell-3-dev
 Standards-Version: 3.9.3
 Homepage: http://lifeograph.wikidot.com

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,20 @@
 #WAF=./waf
 export IAMDEBPKGR=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+CFLAGS		?= $(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS	?= $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS		?= $(shell dpkg-buildflags --get LDFLAGS)
+CFLAGS		+= $(HARDENING_CFLAGS)
+CPPFLAGS	+= $(HARDENING_CFLAGS) -fPIC
+LDFLAGS		+= $(HARDENING_LDFLAGS)
+
 package = lifeograph
 CC = gcc
-CFLAGS = -g -Wall
+CFLAGS += -g -Wall
 
 ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
   CFLAGS += -O2

## lifeograph 0.11.0.dfsg

=== wscript ===
--- 
+++ 
@@ -25,19 +25,18 @@
 import Options
 
 APPNAME='lifeograph'
-VERSION='0.9.0'
+VERSION='0.11.0'
 
 lifeograph_sources = [
     'src/dialog_export.cpp', 'src/dialog_password.cpp', 'src/dialog_preferences.cpp',
     'src/diary.cpp', 'src/diarydata.cpp', 'src/entry.cpp',
-    'src/entry_parser.cpp', 'src/gui_tag.cpp',
-    'src/helpers.cpp',
+    'src/entry_parser.cpp', 'src/helpers.cpp',
     'src/lifeobase.cpp', 'src/lifeograph.cpp','src/main.cpp',
-    'src/panel_diary.cpp', 'src/panel_main.cpp',
+    'src/panel_diary.cpp', 'src/panel_extra.cpp', 'src/panel_main.cpp',
     'src/printing.cpp', 'src/settings.cpp', 
     'src/view_entry.cpp','src/view_login.cpp','src/views.cpp',
     'src/widget_chart.cpp', 'src/widget_entrylist.cpp',
-    'src/widget_panel_exp.cpp', 'src/widget_textview.cpp',
+    'src/widget_tag_list.cpp', 'src/widget_textview.cpp',
     'src/undo.cpp'
     ]
 
@@ -62,7 +61,7 @@
     # checks
     conf.check_tool('compiler_cxx')
     conf.check_cfg(package='gtkmm-3.0', atleast_version='3.0', args='--cflags --libs', uselib_store='gtkmm', mandatory=1)
-    conf.check_cfg(package='gtkspell-3.0', args='--cflags --libs', uselib_store='gtkspell', mandatory=1)
+    conf.check_cfg(package='enchant', args='--cflags --libs', uselib_store='enchant', mandatory=True)
     conf.check(lib='gcrypt',  uselib_store='gcrypt', mandatory=True)
     conf.check_tool('intltool')
 
@@ -117,7 +116,7 @@
     binary = bld.new_task_gen(
         features    = 'cxx cprogram',
         source      = lifeograph_sources,
-        uselib      = 'gtkmm gtkspell gcrypt',
+        uselib      = 'gtkmm enchant gcrypt',
         includes    = '.',
         target      = 'lifeograph')
 
@@ -178,8 +177,11 @@
                                                        'icons/entry-16.png',
                                                        'icons/entry-32.png',
                                                        'icons/favorite-16.png',
+                                                       'icons/favorite-32.png',
                                                        'icons/filter-16.png',
                                                        'icons/filter_remove-16.png',
+                                                       'icons/filter_symbolic-32.png',
+                                                       'icons/gear-32.png',
                                                        'icons/month-16.png',
                                                        'icons/month-32.png',
                                                        'icons/tag-16.png',
@@ -191,4 +193,5 @@
     # diaries
     bld.install_as('${DATADIR}/lifeograph/diaries/example.diary', 'diaries/example.diary')
     bld.install_as('${DATADIR}/lifeograph/diaries/Lifeograph Manual', 'diaries/Lifeograph Manual')
+    bld.install_files('${DATADIR}/lifeograph/diaries/images', 'diaries/images/*.gif')

=== debian/changelog ===
lifeograph (0.11.0.dfsg-1) unstable; urgency=low

  * New upstream release.

  [ Simon Ruderich <simon@ruderich.org> ]
  * Correct CXXFLAGS usage (closes: #688647).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 20 Jan 2013 21:46:32 +0100

=== debian/rules ===
--- 
+++ 
@@ -11,21 +11,12 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-CFLAGS		?= $(shell dpkg-buildflags --get CFLAGS)
-CPPFLAGS	?= $(shell dpkg-buildflags --get CPPFLAGS)
-LDFLAGS		?= $(shell dpkg-buildflags --get LDFLAGS)
-CFLAGS		+= $(HARDENING_CFLAGS)
-CPPFLAGS	+= $(HARDENING_CFLAGS) -fPIC
-LDFLAGS		+= $(HARDENING_LDFLAGS)
+CXXFLAGS += -Wall
+# The build system doesn't respect CPPFLAGS, pass them in CXXFLAGS instead.
+CXXFLAGS += $(CPPFLAGS)
 
 package = lifeograph
 CC = gcc
-CFLAGS += -g -Wall
-
-ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-  CFLAGS += -O2
-endif
-
 
 clean: 
 		dh_testdir

## lifeograph 0.11.1.dfsg

=== wscript ===
--- 
+++ 
@@ -25,7 +25,7 @@
 import Options
 
 APPNAME='lifeograph'
-VERSION='0.11.0'
+VERSION='0.11.1'
 
 lifeograph_sources = [
     'src/dialog_export.cpp', 'src/dialog_password.cpp', 'src/dialog_preferences.cpp',

=== debian/changelog ===
lifeograph (0.11.1.dfsg-2) unstable; urgency=low

  [ Iain Lane <iain.lane@canonical.com> ]
  * Remove unnecessary BD on libgtkspell-3-dev , add missing libenchant-dev BD
    (closes: #710228).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 30 Jun 2013 01:55:48 +0200

lifeograph (0.11.1.dfsg-1) unstable; urgency=low

  * New upstream release.

  [ Bart Martens <bartm@debian.org> ]
  * Add watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 11 Feb 2013 20:59:27 +0100

=== debian/control ===
Source: lifeograph
Section: gnome
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~), intltool, libgtkmm-3.0-dev, libgcrypt11-dev, libenchant-dev
Standards-Version: 3.9.4
Homepage: http://lifeograph.wikidot.com

Package: lifeograph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Private digital diary
 Lifeograph is an off-line and private journal and note taking application
 for one's self evaluation of his/her own life.

## lifeograph 1.0.0~rc2

=== CMakeLists.txt ===
#    Copyright (C) 2013 Ahmet Öztürk (aoz_2@yahoo.com)
#
#    This file is part of Lifeograph.
#
#    Lifeograph is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    Lifeograph is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Lifeograph.  If not, see <http://www.gnu.org/licenses/>.


cmake_minimum_required( VERSION 2.6 )
project( Lifeograph )

include( ${PROJECT_SOURCE_DIR}/cmake/definitions.cmake )

add_definitions( -Wall -DHAVE_CONFIG_H )

# DEBUG BUILD
if( ${CMAKE_BUILD_TYPE} MATCHES Debug )
    set( DEBUG_BUILD 1 )
else()
    set( DEBUG_BUILD 0 )
endif()

# PACKAGES
find_package( PkgConfig REQUIRED )

find_library( GCRYPT gcrypt )
if( ${GCRYPT} MATCHES "GCRYPT-NOTFOUND" )
    message( "Gcrypt library not found" )
    return()
endif()

pkg_check_modules( GTKMM REQUIRED gtkmm-3.0>=3.4 )
pkg_check_modules( ENCHANT REQUIRED enchant )

# CONFIGURATION HEADER FILE
configure_file( ${PROJECT_SOURCE_DIR}/config.h.in ${LOCAL_INCL_DIR}/config.h )

# add path of config.h
include_directories( ${LOCAL_INCL_DIR} )

include_directories( ${GTKMM_INCLUDE_DIRS} ${ENCHANT_INCLUDE_DIRS} )

#link_directories( ${GTKMM_LIBRARY_DIRS} ${ENCHANT_LIBRARY_DIRS} )

set( CMAKE_RUNTIME_OUTPUT_DIRECTORY ${BUILD_DIR} )

# TRANSLATION FILE OPTIONS INVOKED MANUALLY WHEN REQUIRED
add_custom_command( OUTPUT ${pot_file}
                    COMMAND intltool-update -p -g ${PACKAGE_NAME}
                    DEPENDS ${SOURCE_FILES}
                    WORKING_DIRECTORY ${po_dir} )

add_custom_target( update-translations
                   COMMAND ${CMAKE_COMMAND} -P ${PROJECT_SOURCE_DIR}/cmake/msgmerge.cmake
                   DEPENDS ${pot_file}
                   WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} )

# TRANSLATION FILE OPTIONS DURING BUILD
# based on Remmina code at https://github.com/FreeRDP/Remmina/blob/master/cmake/GETTEXT.cmake
set( GETTEXT_MSGFMT_EXECUTABLE msgfmt )
set( mo_files )

if( NOT EXISTS ${MO_DIR} )
    file( MAKE_DIRECTORY ${MO_DIR} )
endif()

file( GLOB po_files ${po_dir}/*.po )
foreach( po_file ${po_files} )
    get_filename_component( lang ${po_file} NAME_WE )
    set( mo_file ${MO_DIR}/${lang}.mo )
    add_custom_command( OUTPUT ${mo_file}
                        COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${mo_file} ${po_file}
                        DEPENDS ${po_file} )
    install( FILES ${mo_file}
             DESTINATION share/locale/${lang}/LC_MESSAGES
             RENAME ${PACKAGE_NAME}.mo )
    set( mo_files ${mo_files} ${mo_file} )
endforeach()

add_custom_command( OUTPUT ${desktop_file}
                    COMMAND intltool-merge -d -u -q po ${desktop_file}.in ${desktop_file}
                    DEPENDS ${desktop_file}.in )

add_custom_target( format-translations ALL DEPENDS ${mo_files} ${desktop_file} )

# rev_no.h
if( ( EXISTS ${PROJECT_SOURCE_DIR}/.bzr ) AND ( ${CMAKE_BUILD_TYPE} MATCHES Debug ) )
    add_custom_target( APPEND_REV_NO ALL
                       COMMAND ${CMAKE_COMMAND} -P ${PROJECT_SOURCE_DIR}/cmake/rev_no.cmake
                       WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} )
else()
     file( WRITE ${LOCAL_INCL_DIR}/rev_no.h "#define REVISION_NO \"\"" )
endif()

# TARGETS
add_executable( ${PACKAGE_NAME} ${SOURCE_FILES} )

target_link_libraries( ${PACKAGE_NAME} ${GTKMM_LIBRARIES} ${ENCHANT_LIBRARIES} ${GCRYPT} )

# BACKUP
if( ${CMAKE_BUILD_TYPE} MATCHES Debug )
    add_custom_target( BACKUP ALL
                       COMMAND ${CMAKE_COMMAND} -P ${PROJECT_SOURCE_DIR}/cmake/backup.cmake
                       DEPENDS ${BUILD_DIR}/${PACKAGE_NAME}
                       WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} )
endif()

# INSTALL
install( TARGETS ${PACKAGE_NAME} DESTINATION bin )

install( FILES icons/lifeograph-48.png DESTINATION share/pixmaps RENAME lifeograph.png )
install( FILES icons/lifeograph-48.png DESTINATION share/icons/hicolor/48x48/apps RENAME lifeograph.png )
install( FILES icons/lifeograph-32.png DESTINATION share/icons/hicolor/32x32/apps RENAME lifeograph.png )
install( FILES icons/lifeograph-24.png DESTINATION share/icons/hicolor/24x24/apps RENAME lifeograph.png )
install( FILES icons/lifeograph-22.png DESTINATION share/icons/hicolor/22x22/apps RENAME lifeograph.png )
install( FILES icons/lifeograph-16.png DESTINATION share/icons/hicolor/16x16/apps RENAME lifeograph.png )
install( FILES icons/scalable/lifeograph.svg DESTINATION share/icons/hicolor/scalable/apps )

install( FILES lifeograph.desktop DESTINATION share/applications )

install( FILES icons/category_tags-16.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/category_tags-32.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/chapter-16.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/chapter-32.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/diary-16.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/diary-32.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/entry-16.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/entry-32.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/favorite-16.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/favorite-32.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/filter-16.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/filter_remove-16.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/filter_symbolic-32.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/gear-32.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/month-16.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/month-32.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/tag-16.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/tag-32.png DESTINATION share/${PACKAGE_NAME}/icons )

install( FILES ui/lifeograph.ui DESTINATION share/${PACKAGE_NAME}/ui )

install( DIRECTORY diaries/ DESTINATION share/${PACKAGE_NAME}/diaries )

=== debian/changelog ===
lifeograph (1.0.0~rc2-1) unstable; urgency=low

  * New upstream release.
  * Move to debhelper level 9 and short rules format.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 15 Sep 2013 02:35:24 +0200

lifeograph (0.11.1.dfsg-3) unstable; urgency=low

  * Fix FTBFS on mipsel (closes: #714591).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 17 Jul 2013 21:44:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~), intltool, libgtkmm-3.0-dev, libgcrypt11-dev, libenchant-dev
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), intltool, cmake, libgtkmm-3.0-dev, libgcrypt11-dev, libenchant-dev
 Standards-Version: 3.9.4
 Homepage: http://lifeograph.wikidot.com

## lifeograph 1.0.0~rc3

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,9 +33,15 @@
 # PACKAGES
 find_package( PkgConfig REQUIRED )
 
+find_program( INTLTOOL "intltool-merge" )
+if( ${INTLTOOL} MATCHES "INTLTOOL-NOTFOUND" )
+    message( "Intltool package not found. It needs to be installed for building Lifeograph" )
+    return()
+endif()
+
 find_library( GCRYPT gcrypt )
 if( ${GCRYPT} MATCHES "GCRYPT-NOTFOUND" )
-    message( "Gcrypt library not found" )
+    message( "Gcrypt library not found. It needs to be installed for building Lifeograph" )
     return()
 endif()
 
@@ -93,30 +99,31 @@
 
 add_custom_target( format-translations ALL DEPENDS ${mo_files} ${desktop_file} )
 
-# rev_no.h
-if( ( EXISTS ${PROJECT_SOURCE_DIR}/.bzr ) AND ( ${CMAKE_BUILD_TYPE} MATCHES Debug ) )
-    add_custom_target( APPEND_REV_NO ALL
-                       COMMAND ${CMAKE_COMMAND} -P ${PROJECT_SOURCE_DIR}/cmake/rev_no.cmake
-                       WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} )
-else()
-     file( WRITE ${LOCAL_INCL_DIR}/rev_no.h "#define REVISION_NO \"\"" )
-endif()
-
 # TARGETS
 add_executable( ${PACKAGE_NAME} ${SOURCE_FILES} )
 
 target_link_libraries( ${PACKAGE_NAME} ${GTKMM_LIBRARIES} ${ENCHANT_LIBRARIES} ${GCRYPT} )
 
+# CUSTOM TARGETS
+if( ${CMAKE_BUILD_TYPE} MATCHES Debug )
 # BACKUP
-if( ${CMAKE_BUILD_TYPE} MATCHES Debug )
     add_custom_target( BACKUP ALL
                        COMMAND ${CMAKE_COMMAND} -P ${PROJECT_SOURCE_DIR}/cmake/backup.cmake
                        DEPENDS ${BUILD_DIR}/${PACKAGE_NAME}
                        WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} )
+
+# rev_no.h and build_time.h
+    add_custom_target( TARGET_STAMP_HEADERS
+                       COMMAND ${CMAKE_COMMAND} -P ${PROJECT_SOURCE_DIR}/cmake/rev_no.cmake
+                       WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} )
+
+	add_dependencies( ${PACKAGE_NAME} TARGET_STAMP_HEADERS )
 endif()
 
 # INSTALL
 install( TARGETS ${PACKAGE_NAME} DESTINATION bin )
+
+install( FILES lifeograph.appdata.xml DESTINATION share/appdata )
 
 install( FILES icons/lifeograph-48.png DESTINATION share/pixmaps RENAME lifeograph.png )
 install( FILES icons/lifeograph-48.png DESTINATION share/icons/hicolor/48x48/apps RENAME lifeograph.png )
@@ -126,7 +133,7 @@
 install( FILES icons/lifeograph-16.png DESTINATION share/icons/hicolor/16x16/apps RENAME lifeograph.png )
 install( FILES icons/scalable/lifeograph.svg DESTINATION share/icons/hicolor/scalable/apps )
 
-install( FILES lifeograph.desktop DESTINATION share/applications )
+#install( FILES lifeograph.desktop DESTINATION share/applications )
 
 install( FILES icons/category_tags-16.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/category_tags-32.png DESTINATION share/${PACKAGE_NAME}/icons )
@@ -151,3 +158,13 @@
 
 install( DIRECTORY diaries/ DESTINATION share/${PACKAGE_NAME}/diaries )
 
+# xdg: mime info
+install( CODE "execute_process( COMMAND ${CMAKE_COMMAND} -P ${PROJECT_SOURCE_DIR}/cmake/xdg.cmake
+								WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} )" )
+
+# UNINSTALL
+add_custom_target( uninstall
+                   COMMAND ${CMAKE_COMMAND} -DDESTDIR=${CMAKE_INSTALL_PREFIX}
+                   -P ${PROJECT_SOURCE_DIR}/cmake/uninstall.cmake
+                   WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} )
+

=== debian/changelog ===
lifeograph (1.0.0~rc3-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 04 Nov 2013 14:08:08 +0000

## lifeograph 1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -35,18 +35,27 @@
 
 find_program( INTLTOOL "intltool-merge" )
 if( ${INTLTOOL} MATCHES "INTLTOOL-NOTFOUND" )
-    message( "Intltool package not found. It needs to be installed for building Lifeograph" )
+    message( "Program needed for building Lifeograph not found: intltool" )
     return()
 endif()
 
 find_library( GCRYPT gcrypt )
 if( ${GCRYPT} MATCHES "GCRYPT-NOTFOUND" )
-    message( "Gcrypt library not found. It needs to be installed for building Lifeograph" )
+    message( "Dev module needed for building Lifeograph not found: gcrypt" )
     return()
 endif()
 
 pkg_check_modules( GTKMM REQUIRED gtkmm-3.0>=3.4 )
+if( NOT GTKMM_FOUND )
+    message( "Dev module needed for building Lifeograph not found: gtkmm-3.0 (>=3.4)" )
+    return()
+endif()
+
 pkg_check_modules( ENCHANT REQUIRED enchant )
+if( NOT ENCHANT_FOUND )
+    message( "Dev module needed for building Lifeograph not found: enchant" )
+    return()
+endif()
 
 # CONFIGURATION HEADER FILE
 configure_file( ${PROJECT_SOURCE_DIR}/config.h.in ${LOCAL_INCL_DIR}/config.h )
@@ -58,7 +67,7 @@
 
 #link_directories( ${GTKMM_LIBRARY_DIRS} ${ENCHANT_LIBRARY_DIRS} )
 
-set( CMAKE_RUNTIME_OUTPUT_DIRECTORY ${BUILD_DIR} )
+set( CMAKE_RUNTIME_OUTPUT_DIRECTORY ${BIN_DIR} )
 
 # TRANSLATION FILE OPTIONS INVOKED MANUALLY WHEN REQUIRED
 add_custom_command( OUTPUT ${pot_file}
@@ -94,8 +103,8 @@
 endforeach()
 
 add_custom_command( OUTPUT ${desktop_file}
-                    COMMAND intltool-merge -d -u -q po ${desktop_file}.in ${desktop_file}
-                    DEPENDS ${desktop_file}.in )
+                    COMMAND intltool-merge -d -u -q po ${desktop_file_in} ${desktop_file}
+                    DEPENDS ${desktop_file_in} )
 
 add_custom_target( format-translations ALL DEPENDS ${mo_files} ${desktop_file} )
 
@@ -109,7 +118,7 @@
 # BACKUP
     add_custom_target( BACKUP ALL
                        COMMAND ${CMAKE_COMMAND} -P ${PROJECT_SOURCE_DIR}/cmake/backup.cmake
-                       DEPENDS ${BUILD_DIR}/${PACKAGE_NAME}
+                       DEPENDS ${BIN_DIR}/${PACKAGE_NAME}
                        WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} )
 
 # rev_no.h and build_time.h
@@ -125,7 +134,11 @@
 
 install( FILES lifeograph.appdata.xml DESTINATION share/appdata )
 
+
 install( FILES icons/lifeograph-48.png DESTINATION share/pixmaps RENAME lifeograph.png )
+install( FILES icons/lifeograph-256.png DESTINATION share/icons/hicolor/256x256/apps RENAME lifeograph.png )
+install( FILES icons/lifeograph-128.png DESTINATION share/icons/hicolor/128x128/apps RENAME lifeograph.png )
+install( FILES icons/lifeograph-64.png DESTINATION share/icons/hicolor/64x64/apps RENAME lifeograph.png )
 install( FILES icons/lifeograph-48.png DESTINATION share/icons/hicolor/48x48/apps RENAME lifeograph.png )
 install( FILES icons/lifeograph-32.png DESTINATION share/icons/hicolor/32x32/apps RENAME lifeograph.png )
 install( FILES icons/lifeograph-24.png DESTINATION share/icons/hicolor/24x24/apps RENAME lifeograph.png )
@@ -133,7 +146,7 @@
 install( FILES icons/lifeograph-16.png DESTINATION share/icons/hicolor/16x16/apps RENAME lifeograph.png )
 install( FILES icons/scalable/lifeograph.svg DESTINATION share/icons/hicolor/scalable/apps )
 
-#install( FILES lifeograph.desktop DESTINATION share/applications )
+#install( FILES ${desktop_file} DESTINATION share/applications )
 
 install( FILES icons/category_tags-16.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/category_tags-32.png DESTINATION share/${PACKAGE_NAME}/icons )

=== debian/changelog ===
lifeograph (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Drop no_extra_newlines.patch , no longer needed.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 01 Feb 2014 18:55:27 +0100

=== debian/control ===
Source: lifeograph
Section: gnome
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), intltool, cmake, libgtkmm-3.0-dev, libgcrypt11-dev, libenchant-dev
Standards-Version: 3.9.5
Homepage: http://lifeograph.wikidot.com/

Package: lifeograph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Private digital diary
 Lifeograph is an off-line and private journal and note taking application
 for one's self evaluation of his/her own life.

=== debian/rules ===
#!/usr/bin/make -f
# -*- Makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_clean:
	dh_clean
	rm -rf $(CURDIR)/build/ $(CURDIR)/obj-*
	rm -f $(CURDIR)/lifeograph.desktop

%:
	dh $@

.PHONY: override_dh_auto_clean

## lifeograph 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,9 +45,9 @@
     return()
 endif()
 
-pkg_check_modules( GTKMM REQUIRED gtkmm-3.0>=3.4 )
+pkg_check_modules( GTKMM REQUIRED gtkmm-3.0>=3.6 )
 if( NOT GTKMM_FOUND )
-    message( "Dev module needed for building Lifeograph not found: gtkmm-3.0 (>=3.4)" )
+    message( "Dev module needed for building Lifeograph not found: gtkmm-3.0 (>=3.6)" )
     return()
 endif()
 
@@ -148,8 +148,6 @@
 
 #install( FILES ${desktop_file} DESTINATION share/applications )
 
-install( FILES icons/category_tags-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/category_tags-32.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/chapter-16.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/chapter-32.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/diary-16.png DESTINATION share/${PACKAGE_NAME}/icons )
@@ -157,17 +155,29 @@
 install( FILES icons/entry-16.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/entry-32.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/favorite-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/favorite-32.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/filter-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/filter_remove-16.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/filter-32.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/filter_symbolic-32.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/gear-32.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/month-16.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/month-32.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/tag-16.png DESTINATION share/${PACKAGE_NAME}/icons )
 install( FILES icons/tag-32.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/tag_category-16.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/tag_category-32.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/tag_theme-16.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/tag_theme-32.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/todo_canceled-16.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/todo_canceled-32.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/todo_done-16.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/todo_done-32.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/todo_open-16.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/todo_open-32.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/untagged-16.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/untagged-32.png DESTINATION share/${PACKAGE_NAME}/icons )
 
 install( FILES ui/lifeograph.ui DESTINATION share/${PACKAGE_NAME}/ui )
+install( FILES ui/import.ui DESTINATION share/${PACKAGE_NAME}/ui )
 
 install( DIRECTORY diaries/ DESTINATION share/${PACKAGE_NAME}/diaries )

=== debian/changelog ===
lifeograph (1.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Aug 2014 20:52:53 +0000

lifeograph (1.0.1-2) unstable; urgency=low

  * Install desktop file (closes: #741594).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 15 Mar 2014 13:26:09 +0000

## lifeograph 1.1.1

=== debian/changelog ===
lifeograph (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Build with libgcrypt20 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 06 Sep 2014 15:31:58 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), intltool, cmake, libgtkmm-3.0-dev, libgcrypt11-dev, libenchant-dev
+Build-Depends: debhelper (>= 9), intltool, cmake, libgtkmm-3.0-dev, libgcrypt20-dev, libenchant-dev
 Standards-Version: 3.9.5
 Homepage: http://lifeograph.wikidot.com/

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,dversionmangle=s/\.(debian|dfsg|ds|deb)\d*$// \
https://launchpad.net/lifeograph (?:.*/)?lifeograph[_\-\.]?(\d\S+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sun, 30 Dec 2012 12:08:39 +0000
